# Uses of Class
org.eclipse.compare.internal.ViewerDescriptor

Packages that use ViewerDescriptor
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.internal

## Uses of ViewerDescriptor in org.eclipse.compare

Methods in org.eclipse.compare that return ViewerDescriptor
Modifier and Type
Method
Description
`ViewerDescriptor`
CompareEditorInput.`getContentViewerDescriptor()`
`ViewerDescriptor`
CompareEditorInput.`getStructureViewerDescriptor()`
Methods in org.eclipse.compare with parameters of type ViewerDescriptor
Modifier and Type
Method
Description
`void`
CompareEditorInput.`setContentViewerDescriptor(ViewerDescriptor vd)`
`void`
CompareEditorInput.`setStructureViewerDescriptor(ViewerDescriptor vd)`

## Uses of ViewerDescriptor in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return ViewerDescriptor
Modifier and Type
Method
Description
`ViewerDescriptor[]`
CompareUIPlugin.`findContentViewerDescriptor(Viewer oldViewer, Object in, CompareConfiguration cc)`
`ViewerDescriptor[]`
CompareUIPlugin.`findStructureViewerDescriptor(Viewer oldViewer, ICompareInput input, CompareConfiguration configuration)`